Loading...
Searching...
No Matches
Dune::GeneralVertexOrder< dim, Index_ > Class Template Reference

Class providing information on the ordering of vertices. More...

`#include <dune/geometry/generalvertexorder.hh>`

## Classes

class | iterator
| Iterate over the vertex indices of some sub-entity. More...

## Public Types

typedef Index_ | Index
| Type of indices.

## Public Member Functions

const GeometryType & | type () const
| get type of the entity's geometry
template<class InIterator>
| GeneralVertexOrder (const GeometryType &gt_, const InIterator &inBegin, const InIterator &inEnd)
| construct a GeneralVertexOrder
iterator | begin (std::size_t codim, std::size_t subEntity) const
| get begin iterator for the vertex indices of some sub-entity
iterator | end (std::size_t codim, std::size_t subEntity) const
| get end iterator for the vertex indices of some sub-entity
void | getReduced (std::size_t codim, std::size_t subEntity, std::vector< Index > &order) const
| get a vector of reduced indices for some sub-entity

## Static Public Attributes

static const std::size_t | dimension = dim
| export the dimension of the entity we provide information for

## Detailed Description

template<std::size_t dim, class Index_ = std::size_t>
class Dune::GeneralVertexOrder< dim, Index_ >

Class providing information on the ordering of vertices.

Template Parameters

  dim | Dimension of the entity this class provides ordering information for.
  Index_ | Type of the indices. Must be integral, may be non-negative.

This class provides ordering information for all codimensions, including the element itself.

Warning
  The Interface of the VertexOrder stuff is subject to change. It is currently needed to use some global-valued finite elements from dune-localfunctions.

See also
  reduceOrder(), VertexOrderByIdFactory

## Member Typedef Documentation

## Index

template<std::size_t dim, class Index_ = std::size_t>

typedef Index_ Dune::GeneralVertexOrder< dim, Index_ >::Index

Type of indices.

## Constructor & Destructor Documentation

## GeneralVertexOrder()

template<std::size_t dim, class Index_ = std::size_t>
template<class InIterator>

Dune::GeneralVertexOrder< dim, Index_ >::GeneralVertexOrder | ( | const GeometryType & | gt_,
|  | const InIterator & | inBegin,
|  | const InIterator & | inEnd )

inline

construct a GeneralVertexOrder

Parameters

  gt_ | Geometry type of the entity we provide information for.
  inBegin | Start of the range of vertex ids.
  inEnd | End of the range of vertex ids.

`inBegin` and `inEnd` denote the range of vertex ids to provide. This class stores a reduced copy of the ids, converted to type Index.

## Member Function Documentation

## begin()

template<std::size_t dim, class Index_ = std::size_t>

iterator Dune::GeneralVertexOrder< dim, Index_ >::begin | ( | std::size_t | codim,
|  | std::size_t | subEntity ) const

inline

get begin iterator for the vertex indices of some sub-entity

Parameters

  codim | Codimension of the sub-entity.
  subEntity | Index of the sub-entity within that codimension.

## end()

template<std::size_t dim, class Index_ = std::size_t>

iterator Dune::GeneralVertexOrder< dim, Index_ >::end | ( | std::size_t | codim,
|  | std::size_t | subEntity ) const

inline

get end iterator for the vertex indices of some sub-entity

Parameters

  codim | Codimension of the sub-entity.
  subEntity | Index of the sub-entity within that codimension.

## getReduced()

template<std::size_t dim, class Index_ = std::size_t>

void Dune::GeneralVertexOrder< dim, Index_ >::getReduced | ( | std::size_t | codim,
|  | std::size_t | subEntity,
|  | std::vector< Index > & | order ) const

inline

get a vector of reduced indices for some sub-entity

Parameters

  codim | Codimension of the sub-entity.
  subEntity | Index of the sub-entity within that codimension.
  order | Where to store the result. This function resizes the vector to the suitable size.

## type()

template<std::size_t dim, class Index_ = std::size_t>

const GeometryType & Dune::GeneralVertexOrder< dim, Index_ >::type | ( |  | ) | const

inline

get type of the entity's geometry

## Member Data Documentation

## dimension

template<std::size_t dim, class Index_ = std::size_t>

const std::size_t Dune::GeneralVertexOrder< dim, Index_ >::dimension = dim

static

export the dimension of the entity we provide information for

The documentation for this class was generated from the following file:

- generalvertexorder.hh